# postgres is also supported
# spring.datasource.url=jdbc:postgresql://localhost/petclinic
spring.datasource.url=jdbc:postgresql://localhost/amplicode-mvp-petclinic
spring.datasource.username = root
spring.datasource.password =root

spring.datasource.driver-class-name=org.postgresql.Driver
# Security
app.security.in-memory.admin.username = admin
app.security.in-memory.admin.password = {noop}admin
app.security.in-memory.user.username = user
app.security.in-memory.user.password = {noop}user

spring.jpa.open-in-view=false

spring.graphql.graphiql.enabled=false

spring.liquibase.change-log=classpath:db/changelog.xml

#app.cors.allowedOrigins=http://localhost:3000
#app.cors.allowedHeaders=*
#app.cors.allowedMethods=GET,POST

# for debug purposes
#logging.level.liquibase = debug
#logging.level.org.hibernate.SQL= trace
#logging.level.org.hibernate.type= trace